CACHE-LIST(1)

NAME

cache-list - List contents of the A-REX cache.

SYNOPSIS

cache-list [-h] [-c config_file] [url1 [url2 [...]]]

DESCRIPTION

-h - print short help

-c - configuration file from which to read cache information. The ARC_CONFIG environment variable can be set in place of this option.

cache-list is used to list all files present in each cache or, given a list of URLs as arguments, shows the location of each URL in the cache if present. If no arguments are given, it prints to stdout each cache directory specified in the configuration file then a list of files in each cache directory and the corresponding URLs of their source in the format:

url filename

If arguments are given, each cache is checked for the existence of each URL. If a URL is present in the cache then the URL and filename are printed to stdout in the above format.

This tool can be useful for finding out if a certain URL is stored in the cache, or simply to give a list of all URLs in the cache.

COPYRIGHT

APACHE LICENSE Version 2.0

AUTHOR

ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org